Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_speedtree.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "notifyCategoryProxy.h"`
`#include "configVariableBool.h"`
`#include "configVariableDouble.h"`
`#include "configVariableString.h"`
`#include "configVariableInt.h"`
`#include "configVariableFilename.h"`
`#include "configVariableColor.h"`

Go to the source code of this file.

## Functions
EXPCL_PANDASPEEDTREE void | init_libspeedtree ()
| Initializes the library.
| NotifyCategoryDecl (speedtree, EXPCL_PANDASPEEDTREE, EXPTP_PANDASPEEDTREE)

## Variables
ConfigVariableBool | speedtree_5_2_stf
ConfigVariableDouble | speedtree_alpha_test_scalar
ConfigVariableBool | speedtree_ambient_contrast
ConfigVariableDouble | speedtree_area_scale
ConfigVariableDouble | speedtree_cascading_shadow_splits
ConfigVariableDouble | speedtree_cull_cell_size
ConfigVariableBool | speedtree_detail_layer
ConfigVariableBool | speedtree_detail_normal_mapping
ConfigVariableColor | speedtree_emissive_color
ConfigVariableColor | speedtree_fog_color
ConfigVariableDouble | speedtree_fog_distance
ConfigVariableBool | speedtree_follow_terrain
ConfigVariableBool | speedtree_frond_rippling
ConfigVariableDouble | speedtree_global_light_scalar
ConfigVariableBool | speedtree_horizontal_billboards
ConfigVariableString | speedtree_license
ConfigVariableDouble | speedtree_max_anisotropy
ConfigVariableInt | speedtree_max_billboard_images_by_base
ConfigVariableInt | speedtree_max_num_visible_cells
ConfigVariableInt | speedtree_max_random_try_count
ConfigVariableFilename | speedtree_shaders_dir
ConfigVariableDouble | speedtree_shadow_fade
ConfigVariableInt | speedtree_shadow_map_resolution
ConfigVariableBool | speedtree_show_overlays
ConfigVariableBool | speedtree_show_shadow_splits_on_terrain
ConfigVariableColor | speedtree_sky_color
ConfigVariableDouble | speedtree_sky_fog_max
ConfigVariableDouble | speedtree_sky_fog_min
ConfigVariableBool | speedtree_smooth_shadows
ConfigVariableColor | speedtree_specular_color
ConfigVariableBool | speedtree_specular_lighting
ConfigVariableColor | speedtree_sun_color
ConfigVariableDouble | speedtree_sun_fog_bloom
ConfigVariableDouble | speedtree_sun_size
ConfigVariableDouble | speedtree_sun_spread_exponent
ConfigVariableInt | speedtree_terrain_cell_size
ConfigVariableInt | speedtree_terrain_num_lods
ConfigVariableInt | speedtree_terrain_resolution
ConfigVariableFilename | speedtree_textures_dir
ConfigVariableBool | speedtree_transmission_lighting
ConfigVariableDouble | speedtree_transmission_scalar
ConfigVariableDouble | speedtree_visibility
ConfigVariableBool | speedtree_wind_enabled
ConfigVariableBool | speedtree_z_pre_pass

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2010-09-30

Definition in file config_speedtree.h.

## Function Documentation

## ◆ init_libspeedtree()

EXPCL_PANDASPEEDTREE void init_libspeedtree | ( |  | ) |
| extern

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 273 of file config_speedtree.cxx.

References LoaderFileTypeRegistry::get_global_ptr(), LoaderFileTypeRegistry::register_type(), and SpeedTreeNode::register_with_read_factory().